#include<iostream>
#include<algorithm>
#include<math.h>
using namespace std;


int main(){
	int n,x,d;
	cin>>n>>x;
	int a[n],i;
	for(i=0;i<n;i++)cin>>a[i];
	int s=0,j=x;
	sort(a,a+n);
	for(i=0;i<n;i++){
		s+=abs(j-a[i]);
		j=a[i];
	}
	cout<<s;
	return 0;
}